---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::WidgetRenderer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1WidgetRenderer.html">WidgetRenderer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classtgui_1_1WidgetRenderer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::WidgetRenderer Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p>Base class for all renderer classes.  
 <a href="classtgui_1_1WidgetRenderer.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="Widget_8hpp_source.html">Widget.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for tgui::WidgetRenderer:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classtgui_1_1WidgetRenderer.png" usemap="#tgui::WidgetRenderer_map" alt=""/>
  <map id="tgui::WidgetRenderer_map" name="tgui::WidgetRenderer_map">
<area href="classtgui_1_1ButtonRenderer.html" alt="tgui::ButtonRenderer" shape="rect" coords="174,56,338,80"/>
<area href="classtgui_1_1ChatBoxRenderer.html" alt="tgui::ChatBoxRenderer" shape="rect" coords="174,112,338,136"/>
<area href="classtgui_1_1ChildWindowRenderer.html" alt="tgui::ChildWindowRenderer" shape="rect" coords="174,168,338,192"/>
<area href="classtgui_1_1ComboBoxRenderer.html" alt="tgui::ComboBoxRenderer" shape="rect" coords="174,224,338,248"/>
<area href="classtgui_1_1EditBoxRenderer.html" alt="tgui::EditBoxRenderer" shape="rect" coords="174,280,338,304"/>
<area href="classtgui_1_1KnobRenderer.html" alt="tgui::KnobRenderer" shape="rect" coords="174,336,338,360"/>
<area href="classtgui_1_1LabelRenderer.html" alt="tgui::LabelRenderer" shape="rect" coords="174,392,338,416"/>
<area href="classtgui_1_1ListBoxRenderer.html" alt="tgui::ListBoxRenderer" shape="rect" coords="174,448,338,472"/>
<area href="classtgui_1_1MenuBarRenderer.html" alt="tgui::MenuBarRenderer" shape="rect" coords="174,504,338,528"/>
<area href="classtgui_1_1PanelRenderer.html" alt="tgui::PanelRenderer" shape="rect" coords="174,560,338,584"/>
<area href="classtgui_1_1ProgressBarRenderer.html" alt="tgui::ProgressBarRenderer" shape="rect" coords="174,616,338,640"/>
<area href="classtgui_1_1RadioButtonRenderer.html" alt="tgui::RadioButtonRenderer" shape="rect" coords="174,672,338,696"/>
<area href="classtgui_1_1ScrollbarRenderer.html" alt="tgui::ScrollbarRenderer" shape="rect" coords="174,728,338,752"/>
<area href="classtgui_1_1SliderRenderer.html" alt="tgui::SliderRenderer" shape="rect" coords="174,784,338,808"/>
<area href="classtgui_1_1SpinButtonRenderer.html" alt="tgui::SpinButtonRenderer" shape="rect" coords="174,840,338,864"/>
<area href="classtgui_1_1TabRenderer.html" alt="tgui::TabRenderer" shape="rect" coords="174,896,338,920"/>
<area href="classtgui_1_1TextBoxRenderer.html" alt="tgui::TextBoxRenderer" shape="rect" coords="174,952,338,976"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa9ffbba1a051a6eaf0e1d069d78377ca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9ffbba1a051a6eaf0e1d069d78377ca"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetRenderer.html#aa9ffbba1a051a6eaf0e1d069d78377ca">~WidgetRenderer</a> ()</td></tr>
<tr class="memdesc:aa9ffbba1a051a6eaf0e1d069d78377ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual destructor. <br /></td></tr>
<tr class="separator:aa9ffbba1a051a6eaf0e1d069d78377ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf82fb602dd7bd1e2b212b6fc2da9d99"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetRenderer.html#abf82fb602dd7bd1e2b212b6fc2da9d99">setProperty</a> (std::string property, const std::string &amp;value)</td></tr>
<tr class="memdesc:abf82fb602dd7bd1e2b212b6fc2da9d99"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change a property of the renderer.  <a href="#abf82fb602dd7bd1e2b212b6fc2da9d99">More...</a><br /></td></tr>
<tr class="separator:abf82fb602dd7bd1e2b212b6fc2da9d99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c7e95e9887a866e39da0038ea198970"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetRenderer.html#a0c7e95e9887a866e39da0038ea198970">setProperty</a> (std::string property, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &amp;&amp;value)</td></tr>
<tr class="memdesc:a0c7e95e9887a866e39da0038ea198970"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change a property of the renderer.  <a href="#a0c7e95e9887a866e39da0038ea198970">More...</a><br /></td></tr>
<tr class="separator:a0c7e95e9887a866e39da0038ea198970"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3a4389b75c71849e16501209fba5eb9"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetRenderer.html#ab3a4389b75c71849e16501209fba5eb9">getProperty</a> (std::string property) const </td></tr>
<tr class="memdesc:ab3a4389b75c71849e16501209fba5eb9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the value of a certain property.  <a href="#ab3a4389b75c71849e16501209fba5eb9">More...</a><br /></td></tr>
<tr class="separator:ab3a4389b75c71849e16501209fba5eb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0274cb32222ad685366a0bef4e7d4341"><td class="memItemLeft" align="right" valign="top">virtual std::map&lt; std::string, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetRenderer.html#a0274cb32222ad685366a0bef4e7d4341">getPropertyValuePairs</a> () const </td></tr>
<tr class="memdesc:a0274cb32222ad685366a0bef4e7d4341"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a map with all properties and their values.  <a href="#a0274cb32222ad685366a0bef4e7d4341">More...</a><br /></td></tr>
<tr class="separator:a0274cb32222ad685366a0bef4e7d4341"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Base class for all renderer classes. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="ab3a4389b75c71849e16501209fba5eb9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> tgui::WidgetRenderer::getProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Retrieve the value of a certain property. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to retrieve</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The value inside a <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> object which you can extract with the correct get function or an <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> object with type ObjectConverter::Type::None when the property did not exist. </dd></dl>

<p>Reimplemented in <a class="el" href="classtgui_1_1ComboBoxRenderer.html#aea828ffd1ed85775f691e39ee7129a57">tgui::ComboBoxRenderer</a>, <a class="el" href="classtgui_1_1ListBoxRenderer.html#add790628cc16c5cf6600ba46cfe1fb65">tgui::ListBoxRenderer</a>, <a class="el" href="classtgui_1_1EditBoxRenderer.html#a07f3f9be8f6191346c6989205acb7ba1">tgui::EditBoxRenderer</a>, <a class="el" href="classtgui_1_1ChatBoxRenderer.html#a31cef6659471cf55b1ed19e7ca0bbd76">tgui::ChatBoxRenderer</a>, <a class="el" href="classtgui_1_1ChildWindowRenderer.html#ae7022e53f70a67797154c32a879fd734">tgui::ChildWindowRenderer</a>, <a class="el" href="classtgui_1_1TextBoxRenderer.html#a12ff8589d50896db53799adfec512282">tgui::TextBoxRenderer</a>, <a class="el" href="classtgui_1_1TabRenderer.html#aa70f8416eabdac7dac74ed64a17f5623">tgui::TabRenderer</a>, <a class="el" href="classtgui_1_1LabelRenderer.html#a9cadff8e71ade438f3650a910dc13c57">tgui::LabelRenderer</a>, <a class="el" href="classtgui_1_1KnobRenderer.html#a9c485abea8d34815d2c126241ac064a4">tgui::KnobRenderer</a>, <a class="el" href="classtgui_1_1ProgressBarRenderer.html#a62abeabf0331dff68c7fa3a8d105ed21">tgui::ProgressBarRenderer</a>, <a class="el" href="classtgui_1_1ScrollbarRenderer.html#ae1e130e3e56c44332f89d26b4af4b583">tgui::ScrollbarRenderer</a>, <a class="el" href="classtgui_1_1MenuBarRenderer.html#a56ca1dbe2b98a17206cdde9e791f389e">tgui::MenuBarRenderer</a>, <a class="el" href="classtgui_1_1SliderRenderer.html#a478f29a018db6400dd68b18923b520f8">tgui::SliderRenderer</a>, <a class="el" href="classtgui_1_1SpinButtonRenderer.html#a55bd54bd87fd94049c3c70d2c47d5fc0">tgui::SpinButtonRenderer</a>, <a class="el" href="classtgui_1_1RadioButtonRenderer.html#ad3a06ca946aa9807fd65cce2ba57ae2c">tgui::RadioButtonRenderer</a>, <a class="el" href="classtgui_1_1ButtonRenderer.html#a1eee0e5a5a5c230bebbbdef46ecac954">tgui::ButtonRenderer</a>, <a class="el" href="classtgui_1_1MessageBoxRenderer.html#aadcc7030755817a4d52adc2e514ee86c">tgui::MessageBoxRenderer</a>, and <a class="el" href="classtgui_1_1PanelRenderer.html#a7588921f42d7957f7eb70576f0daa6cb">tgui::PanelRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a0274cb32222ad685366a0bef4e7d4341"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::map&lt;std::string, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&gt; tgui::WidgetRenderer::getPropertyValuePairs </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get a map with all properties and their values. </p>
<dl class="section return"><dt>Returns</dt><dd>Property-value pairs of the renderer </dd></dl>

<p>Reimplemented in <a class="el" href="classtgui_1_1ComboBoxRenderer.html#aaf51545530c9fe63b8523fd5b1fab765">tgui::ComboBoxRenderer</a>, <a class="el" href="classtgui_1_1ListBoxRenderer.html#ac6503e6a619f8da540f653a125ab1455">tgui::ListBoxRenderer</a>, <a class="el" href="classtgui_1_1EditBoxRenderer.html#a9fc1d3e2ec79d8047f8bc90b41aa5f13">tgui::EditBoxRenderer</a>, <a class="el" href="classtgui_1_1ChatBoxRenderer.html#af543318f32119c50d0715d464e6a4f4d">tgui::ChatBoxRenderer</a>, <a class="el" href="classtgui_1_1ChildWindowRenderer.html#a5affc3269baf0bd0c34a5e64e1809079">tgui::ChildWindowRenderer</a>, <a class="el" href="classtgui_1_1TextBoxRenderer.html#a91f81f2fc28471fe039cdbcd2e12d7a0">tgui::TextBoxRenderer</a>, <a class="el" href="classtgui_1_1TabRenderer.html#ae3f414e2b43e4d2841663ab8d4f32cb0">tgui::TabRenderer</a>, <a class="el" href="classtgui_1_1LabelRenderer.html#a596d6cbd102be83d176d6c57c113a25e">tgui::LabelRenderer</a>, <a class="el" href="classtgui_1_1KnobRenderer.html#a044135a3ddf4831e95e490a12e52249e">tgui::KnobRenderer</a>, <a class="el" href="classtgui_1_1ProgressBarRenderer.html#a8b0be31ecc62d2c39bec5135a4920783">tgui::ProgressBarRenderer</a>, <a class="el" href="classtgui_1_1ScrollbarRenderer.html#a011d15aca21115f17263c6e4e329475b">tgui::ScrollbarRenderer</a>, <a class="el" href="classtgui_1_1MenuBarRenderer.html#ae7791b0b69162f7217ac2369b2191dcd">tgui::MenuBarRenderer</a>, <a class="el" href="classtgui_1_1SliderRenderer.html#a6e7e2bdff42112cce4b689e3cd06d823">tgui::SliderRenderer</a>, <a class="el" href="classtgui_1_1SpinButtonRenderer.html#a209ff230d4edfa6897127de1d82c9f9f">tgui::SpinButtonRenderer</a>, <a class="el" href="classtgui_1_1RadioButtonRenderer.html#af412ddc80580c7b6d4162bee21e3062a">tgui::RadioButtonRenderer</a>, <a class="el" href="classtgui_1_1ButtonRenderer.html#a4d32fb1b0a8609d7b5689d6f20b5172f">tgui::ButtonRenderer</a>, <a class="el" href="classtgui_1_1MessageBoxRenderer.html#a1c0675e1dfd86a21866a81d0983b7947">tgui::MessageBoxRenderer</a>, and <a class="el" href="classtgui_1_1PanelRenderer.html#a7b281201cc1e02a0889cbeb3b71e0a5d">tgui::PanelRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="abf82fb602dd7bd1e2b212b6fc2da9d99"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::WidgetRenderer::setProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Change a property of the renderer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to change </td></tr>
    <tr><td class="paramname">value</td><td>The new serialized value that you like to assign to the property</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>when deserialization fails or when the widget does not have this property. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented in <a class="el" href="classtgui_1_1ComboBoxRenderer.html#a37656f056c150841a4f59961cd4fe4d9">tgui::ComboBoxRenderer</a>, <a class="el" href="classtgui_1_1ListBoxRenderer.html#a4f89faa67c01abc6fc3d8835feb575f0">tgui::ListBoxRenderer</a>, <a class="el" href="classtgui_1_1EditBoxRenderer.html#a32c34de3dec5771799bbebb85d0e00de">tgui::EditBoxRenderer</a>, <a class="el" href="classtgui_1_1ChatBoxRenderer.html#a51643c9fc3b92a76728e03a07fedb4fa">tgui::ChatBoxRenderer</a>, <a class="el" href="classtgui_1_1ChildWindowRenderer.html#ade630811db9df988b542586e83f0d0b8">tgui::ChildWindowRenderer</a>, <a class="el" href="classtgui_1_1TextBoxRenderer.html#ab20e179480b8c3efce849ab94c103ca2">tgui::TextBoxRenderer</a>, <a class="el" href="classtgui_1_1TabRenderer.html#a905e5b836e3027e86cd23aab07999615">tgui::TabRenderer</a>, <a class="el" href="classtgui_1_1LabelRenderer.html#a4ed33192f6dd56db7dac745107b2b5c1">tgui::LabelRenderer</a>, <a class="el" href="classtgui_1_1KnobRenderer.html#a6300d9123c951c353097254a0d2d6ff6">tgui::KnobRenderer</a>, <a class="el" href="classtgui_1_1ProgressBarRenderer.html#af82b2e391009cb11e0f7fdaf36204a6e">tgui::ProgressBarRenderer</a>, <a class="el" href="classtgui_1_1ScrollbarRenderer.html#a292399186173fa3e80c6d8c44ae33e9f">tgui::ScrollbarRenderer</a>, <a class="el" href="classtgui_1_1MenuBarRenderer.html#a5652ad07cdd73c2b6641a73615bebcdc">tgui::MenuBarRenderer</a>, <a class="el" href="classtgui_1_1SliderRenderer.html#ad4e7af532366d1cb8c4310443be824d9">tgui::SliderRenderer</a>, <a class="el" href="classtgui_1_1SpinButtonRenderer.html#a56334d90476890ab0fa1bc15b673bccb">tgui::SpinButtonRenderer</a>, <a class="el" href="classtgui_1_1RadioButtonRenderer.html#a6d4733acce3787726cd9a0cf41310461">tgui::RadioButtonRenderer</a>, <a class="el" href="classtgui_1_1ButtonRenderer.html#aead05c7f26a6fe56dc445bb83edd655a">tgui::ButtonRenderer</a>, <a class="el" href="classtgui_1_1MessageBoxRenderer.html#a3cb8548d19e084ba2a9e6c26dbf9c606">tgui::MessageBoxRenderer</a>, and <a class="el" href="classtgui_1_1PanelRenderer.html#a9f71df44d6c5edd27601e24f8e20a62d">tgui::PanelRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a0c7e95e9887a866e39da0038ea198970"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::WidgetRenderer::setProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &amp;&amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Change a property of the renderer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to change </td></tr>
    <tr><td class="paramname">value</td><td>The new value that you like to assign to the property. The <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> is implicitly constructed from the possible value types.</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>for unknown properties or when value was of a wrong type. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented in <a class="el" href="classtgui_1_1ComboBoxRenderer.html#ab9e2ebed19f22c49e36e8426789c89ed">tgui::ComboBoxRenderer</a>, <a class="el" href="classtgui_1_1ListBoxRenderer.html#a7e375242c365173a14d6f951ea5ab937">tgui::ListBoxRenderer</a>, <a class="el" href="classtgui_1_1EditBoxRenderer.html#a8c72cc27a3fee485d73fe3681ffff7bc">tgui::EditBoxRenderer</a>, <a class="el" href="classtgui_1_1ChatBoxRenderer.html#acf5fdb41110179b92d75ff6cb3d67df0">tgui::ChatBoxRenderer</a>, <a class="el" href="classtgui_1_1ChildWindowRenderer.html#adcdb05e9192d946c6f18f124ab8dd549">tgui::ChildWindowRenderer</a>, <a class="el" href="classtgui_1_1TextBoxRenderer.html#ac698b848b8e00b3e40e04fef7c507a6d">tgui::TextBoxRenderer</a>, <a class="el" href="classtgui_1_1TabRenderer.html#acb8bcbe8c78ec17267856ff1e7bd6e09">tgui::TabRenderer</a>, <a class="el" href="classtgui_1_1LabelRenderer.html#ac6c613c6d5f6f348a5606d633fc45aee">tgui::LabelRenderer</a>, <a class="el" href="classtgui_1_1KnobRenderer.html#a088548e9339fca29961bbea93806ba75">tgui::KnobRenderer</a>, <a class="el" href="classtgui_1_1ProgressBarRenderer.html#a83d0e4482cc14c8a998edc253eb466b4">tgui::ProgressBarRenderer</a>, <a class="el" href="classtgui_1_1ScrollbarRenderer.html#aaff7615401a9a33d1a9d6fb876beabdb">tgui::ScrollbarRenderer</a>, <a class="el" href="classtgui_1_1MenuBarRenderer.html#a8eb1632869a17e50c46357239771d64f">tgui::MenuBarRenderer</a>, <a class="el" href="classtgui_1_1SliderRenderer.html#a739ebd1509dce34061ecbfded4e0faad">tgui::SliderRenderer</a>, <a class="el" href="classtgui_1_1SpinButtonRenderer.html#aec0c64a3440b89fd9a6c5790c2ae4ee8">tgui::SpinButtonRenderer</a>, <a class="el" href="classtgui_1_1RadioButtonRenderer.html#ab0035b9411a9e6c698c7be6d8480a7d2">tgui::RadioButtonRenderer</a>, <a class="el" href="classtgui_1_1ButtonRenderer.html#a7505af4fb03800ff72dfe8de99c194bd">tgui::ButtonRenderer</a>, <a class="el" href="classtgui_1_1MessageBoxRenderer.html#a6d3ce4cd4d153c3f4dc6cdd8ae40f2a5">tgui::MessageBoxRenderer</a>, and <a class="el" href="classtgui_1_1PanelRenderer.html#a810b8bf8d9bc6b7ebc2fb9d25908bd9b">tgui::PanelRenderer</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/<a class="el" href="Widget_8hpp_source.html">Widget.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:46 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
